Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management
Class NoAccessRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  weblogic.utils.NestedRuntimeException
                      weblogic.management.NoAccessRuntimeException

All Implemented Interfaces:
  weblogic.utils.NestedThrowable, Serializable

public final class NoAccessRuntimeException
extends weblogic.utils.NestedRuntimeException

This is the exception that is thrown when an atempt is made to access an MBean and the operation or attributes is not available for given the established identity. The exception includes the identity of the user, the operation that was atempeted (get, set, or invoke), and the object name of the MBean that was being targeted. It also nests the causal Security Exception

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Nested Class Summary

Nested classes inherited from class weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Constructor Summary
`NoAccessRuntimeException(String message)`
`NoAccessRuntimeException(String user, String perm, String target)`
`NoAccessRuntimeException(String user, String perm, String target, Throwable t)`
`NoAccessRuntimeException(String message, Throwable t)`
`NoAccessRuntimeException(Throwable t)`

Method Summary
`String` | `getMessage()`

Methods inherited from class weblogic.utils.NestedRuntimeException
`getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoAccessRuntimeException

    public NoAccessRuntimeException(String message)

### NoAccessRuntimeException

    public NoAccessRuntimeException(String user,
                                    String perm,
                                    String target)

### NoAccessRuntimeException

    public NoAccessRuntimeException(String user,
                                    String perm,
                                    String target,
                                    Throwable t)

### NoAccessRuntimeException

    public NoAccessRuntimeException(String message,
                                    Throwable t)

### NoAccessRuntimeException

    public NoAccessRuntimeException(Throwable t)

Method Detail

### getMessage

    public String getMessage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD